onEvent('recipes', event => {

    const ie_metals = ['copper', 'aluminum', 'lead', 'silver', 'nickel', 'constantan', 'electrum', 'steel', 'iron', 'gold', 'uranium', 'stainless_steel', 'fluix_steel'];

    ie_metals.forEach(ie_metal => {

        var sheetmetal = itemOf(`#forge:sheetmetals/${ie_metal}`);
        var plate = itemOf(`#forge:plates/${ie_metal}`);
        var rod = itemOf(`#forge:rods/${ie_metal}`);

        event.shaped(sheetmetal, 
            [
                'RSS',
                'S S',
                'SSR'
            ], 
            {
                S: plate,
                R: rod
            }
        ).id(`immersiveengineering:kubejs/crafting/sheetmetal_${ie_metal}`);

        event.recipes.immersiveengineering.metal_press(
            sheetmetal, Item.of(plate, 4), 'immersiveengineering:mold_packing_4'
        ).id(`immersiveengineering:kubejs/metal_press/sheetmetal_${ie_metal}`);
    })

    event.shaped('3x immersiveengineering:steel_wallmount', 
        [
            'SS',
            'SR'
        ], 
        {
            S: 'emendatusenigmatica:steel_ingot',
            R: 'emendatusenigmatica:steel_rod'
        }
    ).id('immersiveengineering:crafting/steel_wallmount');
    event.shaped('3x immersiveengineering:alu_wallmount', 
        [
            'SS',
            'SR'
        ], 
        {
            S: 'emendatusenigmatica:aluminum_ingot',
            R: 'emendatusenigmatica:aluminum_rod'
        }
    ).id('immersiveengineering:crafting/alu_wallmount');
    

})